# HoldPointCommand

This command calls Pedro Pathing's [Follower.holdPoint(Pose)](https://github.com/Pedro-Pathing/PedroPathing/blob/main/src/main/java/com/pedropathing/follower/Follower.java#L473), which allows you to easily hold a new Point (the Pose parameter is converted into a Point under the hood).

It has three mandatory parameters:

* Pedro Pathing's Follower (which controls the robot movement)
* The Pose to hold
* A boolean parameter called isFieldCentric that decides whether the move should be field centric or robot centric (based off the follower's position at the time of scheduling the command)

```java
HoldPointCommand(Follower follower, Pose pose, boolean isFieldCentric)
```

The following robot centric movements for Pedro Pathing's default coordinate system should be true assuming that the robot is facing forwards to the long side on the submersible's blue alliance side:

* [Pose.getX()](https://github.com/Pedro-Pathing/PedroPathing/blob/main/src/main/java/com/pedropathing/localization/Pose.java#L112): -Y is forwards, +Y is backwards
* [Pose.getY()](https://github.com/Pedro-Pathing/PedroPathing/blob/main/src/main/java/com/pedropathing/localization/Pose.java#L121): +X is left, -X is right
* [Pose.getHeading()](https://github.com/Pedro-Pathing/PedroPathing/blob/main/src/main/java/com/pedropathing/localization/Pose.java#L130): Heading is in radians, +heading turns left and -heading turns right


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seattlesolvers.com/0.2.5/pedro-pathing/pedro-commands/hold-point-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
